import { configureStore } from "@reduxjs/toolkit";
import { setupListeners } from "@reduxjs/toolkit/query";
import { sideMenuSlice } from "../components/SideMenu/sideMenuSlice";
import { lessonPageEditorSlice } from "../../features/Lessons/LessonPageEditor/lessonPageEditorSlice";
import { appSlice } from "./appSlice";

export const makeStore = (/* preloadedState */) => {
  const store = configureStore({
    reducer: {
      app: appSlice.reducer,
      sideMenu: sideMenuSlice.reducer,
      lessonPageEditor: lessonPageEditorSlice.reducer,
      // counter: counterSlice.reducer,
    },
    // preloadedState,
  });

  setupListeners(store.dispatch);
  return store;
};

export const store = makeStore();
