import { Button, Card, Flex, Segmented } from "antd";
import MyBanner from "../../shared/components/MyBanner";
import { MyContainer } from "../../shared/components/MyContainer";

import img1 from "./pexels-photo-1181625.webp";
import img2 from "./pexels-photo-302894.webp";
import {
  AppstoreOutlined,
  BarsOutlined,
  CommentOutlined,
  PlusOutlined,
} from "@ant-design/icons";
import Search, { SearchProps } from "antd/es/input/Search";
import { Link } from "react-router-dom";
import HeaderBar from "../../core/components/Header";

function ListItem({ img, title }: { img: string; title: string }) {
  return (
    <Link to={"/lessons/aksdmaskdmsad"}>
      <Card>
        <Flex vertical={false} style={{ gap: 16 }}>
          <img src={img} alt="img1" style={{ height: 140 }} />

          <Flex vertical justify="center">
            <div
              style={{
                fontWeight: "bold",
                fontSize: 36,
              }}
            >
              {title}
            </div>
            <div>
              <CommentOutlined /> 12 comments
            </div>
          </Flex>
        </Flex>
      </Card>
    </Link>
  );
}

const data = [
  {
    img: img1,
    title: "How to clean the coffee machine",
  },
  {
    img: img2,
    title: "How to clean the coffee machine",
  },
  {
    img: img1,
    title: "How to clean the coffee machine",
  },
  {
    img: img2,
    title: "How to clean the coffee machine",
  },
];

export default function Lessons() {
  const onSearch: SearchProps["onSearch"] = (value, _e, info) =>
    console.log(info?.source, value);

  return (
    <>
      <MyBanner title="Lessons" headerBar={<HeaderBar />} />

      <MyContainer>
        <Flex justify="right" gap={16} style={{ paddingBottom: 16 }}>
          <Segmented
            options={[
              { value: "List", icon: <BarsOutlined /> },
              { value: "Kanban", icon: <AppstoreOutlined /> },
            ]}
          />

          <Button icon={<PlusOutlined />}>Create</Button>

          <Search
            placeholder="Search..."
            onSearch={onSearch}
            style={{ width: 300 }}
            allowClear
          />
        </Flex>
        
        <Flex vertical gap={16}>
          {data.map((item, index) => (
            <ListItem key={index} img={item.img} title={item.title} />
          ))}
        </Flex>
      
      </MyContainer>
    </>
  );
}