import { Content } from "antd/es/layout/layout";

export function MyContainer({ children }: { children: React.ReactNode }) {
  return <Content style={{ padding: 12 }}>{children}</Content>;
}

export function MyCenteredContainer({
  children,
  fullHeight = false,
  height = "100vh",
}: {
  children: React.ReactNode;
  fullHeight?: boolean;
  height?: string;
}) {
  return (
    <div
      style={{
        display: "flex",
        flexDirection: "row",
        justifyContent: "center",
        alignContent: "center",
        alignItems: "center",
        height: fullHeight ? height : "85.3vh",
      }}
    >
      {children}
    </div>
  );
}
